<ion-header translucent>
  <ion-toolbar>
    <ion-buttons slot="start" (click)=cerrar()>
      <ion-back-button defaultHref="lista-ticket-usuario"></ion-back-button>
    </ion-buttons>
    <ion-title>Código Ticket: {{ticket.codticket}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <ion-list>
    <ion-list-header>
      <h4>Estado</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon class="icon" *ngIf="estado.codEstado == 1" src="./assets/icon/search.svg" color="danger">
      </ion-icon>
      <ion-icon class="icon" *ngIf="estado.codEstado == 2 && confirmacion == false" src="./assets/icon/edit.svg"
        color="warning">
      </ion-icon>
      <img class="bell" *ngIf="confirmacion == true && estado.codEstado == 2" src="./assets/icon/bell.gif" color="warning">
      <ion-icon class="icon" *ngIf="estado.codEstado == 3" src="./assets/icon/delete.svg" color="#danger">
      </ion-icon>
      <ion-icon class="icon" *ngIf="estado.codEstado == 4" src="./assets/icon/sinSolucion.svg" color="success">
      </ion-icon>
      <ion-icon class="icon" *ngIf="estado.codEstado == 5" src="./assets/icon/verified.svg" color="success">
      </ion-icon>
      <ion-label>
        <h2>{{estado.nombreEstado}}</h2>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list *ngIf="confirmacion == true">
    <ion-list-header>
      <h4>Solución</h4>
    </ion-list-header>
    <ion-item>
      <ion-label>
        <h2>{{solucionDescripcion}}</h2>
      </ion-label>
    </ion-item>
    <ion-button *ngIf="estado.codEstado == 2" class="registrar-button" expand="full" shape="round" fill="outline" color="ista" (click)="presentAlertaConfirmar()">
      Confirmar Solución
    </ion-button>
  </ion-list>
  <ion-list>
    <ion-list-header>
      <h4>Detalle</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon slot="start" name="ticket-outline">
      </ion-icon>
      <ion-label>
        <h2>Titulo: {{servicios.titulo}}</h2>
      </ion-label>
    </ion-item>
    <ion-item (click)='presentAlertaVerDescripcionTicket()'>
      <ion-icon slot="start" name="text-outline"></ion-icon>
      <ion-label>
        <h2>Detalle del ticket</h2>
        <h3>Ver detalle del ticket</h3>
      </ion-label>
      <ion-icon slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item (click)='presentAlertaVerDescripcionServicio()'>
      <ion-icon slot="start" name="text-outline"></ion-icon>
      <ion-label>
        <h2>Detalle del Servicio</h2>
        <h3>Ver detalle del servicio</h3>
      </ion-label>
      <ion-icon slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item>
      <ion-icon slot="start" name="calendar-outline"></ion-icon>
      <ion-label>
        <h2>{{ticket.fechaCreacion | date:'MMM dd, YYYY HH:mm'}}</h2>
        <h3>Fecha de Creacion </h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon slot="start" name="apps-outline"></ion-icon>
      <ion-label>
        <h2>{{catalogos.categoria}}</h2>
        <h3>Catalogo </h3>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list>
    <ion-list-header>
      <h4>Datos del Usuario</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon slot="start" name="person-outline"></ion-icon>
      <ion-label>
        <h2> {{personas.nombres}}</h2>
        <h3>Nombres</h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon slot="start" name="git-compare-outline"></ion-icon>
      <ion-label>
        <h2 *ngIf="viaComunicacion.codViaComunicacion == 1"> Telefono: {{personas.telefono}}</h2>
        <h2 *ngIf="viaComunicacion.codViaComunicacion == 2"> Correo: {{usuarios.email}}</h2>
        <h3>Via de Comunicación</h3>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-fab *ngIf="estado.nombreEstado == 'Abierto'" vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button color="ista">
      <ion-icon md="caret-up"></ion-icon>
    </ion-fab-button>
    <ion-fab-list side="top">
      <ion-fab-button color="light" (click)="updateTicket()" data-desc="Modificar">
        <ion-icon class="fabIcon" name="create"></ion-icon>
      </ion-fab-button>
      <ion-fab-button color="light" (click)="presentAlertaRechazar()" data-desc="Rechazar">
        <ion-icon class="fabIcon" name="close"></ion-icon>
      </ion-fab-button>
    </ion-fab-list>
  </ion-fab>
</ion-content>